package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.DispatchBean;
import com.wd.workoffice.bean.mesBean.OpmreportErrorBean;

import java.util.List;

import flexible.xd.android_base.utils.TimeUtils;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkOrderErrorAdapter extends BaseQuickAdapter<OpmreportErrorBean.ListBean, BaseViewHolder> {

    public WorkOrderErrorAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, OpmreportErrorBean.ListBean item) {
        helper.setText(R.id.tv_no, String.format("编码:%s", item.getReportCode()));
        helper.setText(R.id.tv_level, item.getCulevel()+"");
        helper.setText(R.id.tv_people, item.getDataFromName());
        helper.setText(R.id.tv_desc, item.getDescription());
        helper.setText(R.id.tv_time, item.getFindDateTime());
    }
}

